#include <stdio.h>
#include <dos.h>
#include <memory.h>
#include <fcntl.h>

#include "ms.h"
#include "..\common.h"
#include "..\extern.h"
#include "..\gmpv4sp.h"

int MS_check( void )
{
	char	id[16];

	memset( id, 0, sizeof( id ));

	_readvect( 0x7F, 1, 0x103, id );

	if( memcmp( id, "zxp.0", 5 ) != 0 )
	{
		printf( MES[MES_DRVNOTFOUND], DRIVER_name );
		return 1;
	}

	printf( INFO[INFO_DRIVER], DRIVER_name );

	return 0;
}

int MS_load( char *filename )
{
	if( GMPV4SP_load( filename, 0, 0, 1 ) == -1 ) return 1;

	return 0;
}

int MS_play( char *opt1, char *opt2 )
{
	GMPV4SP_address( &seg, &off, 0 );

	/* Music : ES:0000 */
	r.h.ah = 0x01;
	r.h.al = 0x00;
	r.x.bx = 0x0000;
	sr.es  = seg;
	int86x( 0x7F, &r, &ro, &sr );

	return 0;
}

int MS_stop( void )
{
	r.h.ah = 0x00;
	int86x( 0x7F, &r, &ro, &sr );

	return 0;
}

int MS_fade( void )
{
	r.h.ah = 0x05;
	r.h.al = 0x00;
	int86x( 0x7F, &r, &ro, &sr );

	return 0;
}
