#include <stdio.h>
#include <dos.h>
#include <memory.h>

#include "musdrv.h"
#include "..\common.h"
#include "..\extern.h"

int MUSDRV_check( void )
{
	char	id[16];

	memset( id, 0, sizeof( id ));

	_readvect( 0xF1, 1, -8, id );

	if( memcmp( id, "Pv", 2 ) != 0 )
	{
		if( memcmp( id, "MUSDRV", 2 ) != 0 )
		{
			printf( MES[MES_DRVNOTFOUND], DRIVER_name );
			return 1;
		}
	}

	printf( INFO[INFO_DRIVER], DRIVER_name );

	return 0;
}

int MUSDRV_load( char *filename )
{
	long	filesize;

	filesize = _filesize( filename );
	if( filesize == -1 ) return 1;

	/* Music : DS:BX */
	r.x.ax = 0x0000;
	sr.ds  = FP_SEG( filename );
	r.x.bx = FP_OFF( filename );
	int86x( 0xF1, &r, &ro, &sr );

	printf( INFO[INFO_LOAD], filename, filesize );

	return 0;
}

int MUSDRV_play( char *opt1, char *opt2 )
{
	r.x.ax = 0x0001;
	int86x( 0xF1, &r, &ro, &sr );

	return 0;
}

int MUSDRV_stop( void )
{
	r.x.ax = 0x0002;
	int86x( 0xF1, &r, &ro, &sr );

	return 0;
}
