#include <stdio.h>
#include <dos.h>
#include <memory.h>
#include <fcntl.h>

#include "cmd.h"
#include "..\common.h"
#include "..\extern.h"

int CMD_check( void )
{
	char	id[16];

	memset( id, 0, sizeof( id ));
	_readvect( 0x60, 0, 2, id );

	if( memcmp( id, "KZD", 3 ) != 0 )
	{
		printf( MES[MES_DRVNOTFOUND], DRIVER_name );
		return 1;
	}

	printf( INFO[INFO_DRIVER], DRIVER_name );

	return 0;
}

int CMD_load( char *filename )
{
	unsigned char far	*p = NULL;

	/* Music : DX:0000 */
	r.x.ax = 0x0000;
	int86x( 0x60, &r, &ro, &sr );
	p = MK_FP(( unsigned short )ro.x.dx, 0x0000 );

	if( _far_fileload( filename, p ) == -1 ) return 1;

	return 0;
}

int CMD_play( char *opt1, char *opt2 )
{
	r.x.ax = 0x0100;
	int86x( 0x60, &r, &ro, &sr );

	return 0;
}

int CMD_stop( void )
{
	r.x.ax = 0x0200;
	int86x( 0x60, &r, &ro, &sr );

	return 0;
}

int CMD_fade( void )
{
	r.x.ax = 0x041E;
	int86x( 0x60, &r, &ro, &sr );

	return 0;
}
