#include <stdio.h>
#include <dos.h>
#include <memory.h>
#include <fcntl.h>

#include "mmdr.h"
#include "..\common.h"
#include "..\extern.h"
#include "..\gmpv4sp.h"

int MMDR_check( void )
{
	char	id[16];

	memset( id, 0, sizeof( id ));

	_readvect( 0x7E, 0, -8, id );

	if( memcmp( id, "MMD v", 5 ) != 0 )
	{
		printf( MES[MES_DRVNOTFOUND], DRIVER_name );
		return 1;
	}

	printf( INFO[INFO_DRIVER], DRIVER_name );

	return 0;
}

int MMDR_load( char *filename )
{
	if( GMPV4SP_load( filename, 0, 0, 1 ) == -1 ) return 1;

	return 0;
}

int MMDR_play( char *opt1, char *opt2 )
{
	GMPV4SP_address( &seg, &off, 0 );

	/* Music : DX:SI */
	r.h.al = 0x02;
	r.x.dx = seg;
	r.x.si = off;
	int86x( 0x7E, &r, &ro, &sr );

	return 0;
}

int MMDR_stop( void )
{
	r.h.ah = 0x03;
	int86x( 0x7E, &r, &ro, &sr );

	/* INIT & MPU-98 */
	r.h.al = 0x00;
	r.x.dx = 0x00;
	int86x( 0x7E, &r, &ro, &sr );

	return 0;
}

int MMDR_fade( void )
{
	r.h.al = 0x06;
	r.h.dl = 0x07;
	int86x( 0x7E, &r, &ro, &sr );

	return 0;
}
