#include <stdio.h>
#include <dos.h>
#include <memory.h>

#include "usddrv.h"
#include "..\common.h"
#include "..\extern.h"

int USDDRV_check( void )
{
	char	id[16];

	memset( id, 0, sizeof( id ));

	_readvect( 0xF1, 0, 2, id );

	if( memcmp( id, "USDdrv", 6 ) != 0 )
	{
		printf( MES[MES_DRVNOTFOUND], DRIVER_name );
		return 1;
	}

	printf( INFO[INFO_DRIVER], DRIVER_name );

	return 0;
}

int USDDRV_load( char *filename )
{
	long	filesize;

	filesize = _filesize( filename );
	if( filesize == -1 ) return 1;

	/* Music : DS:BX */
	r.h.al = 0x00;
	sr.ds  = FP_SEG( filename );
	r.x.bx = FP_OFF( filename );
	int86x( 0xF1, &r, &ro, &sr );

	printf( INFO[INFO_LOAD], filename, filesize );

	return 0;
}

int USDDRV_play( char *opt1, char *opt2 )
{
	r.h.al = 0x01;
	int86x( 0xF1, &r, &ro, &sr );

	return 0;
}

int USDDRV_stop( void )
{
	r.h.al = 0x02;
	int86x( 0xF1, &r, &ro, &sr );

	return 0;
}
